Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.incremental
Class AbstractIncrementalScoreCalculator<Sol extends Solution>

    java.lang.Object
      org.optaplanner.core.impl.score.director.incremental.AbstractIncrementalScoreCalculator<Sol>

All Implemented Interfaces:
  IncrementalScoreCalculator<Sol>

Direct Known Subclasses:
  CloudBalancingIncrementalScoreCalculator, MachineReassignmentIncrementalScoreCalculator, NQueensAdvancedIncrementalScoreCalculator, NQueensBasicIncrementalScoreCalculator, ProjectJobSchedulingIncrementalScoreCalculator, TspIncrementalScoreCalculator, VehicleRoutingIncrementalScoreCalculator

    public abstract class AbstractIncrementalScoreCalculator<Sol extends Solution>

extends Object
implements IncrementalScoreCalculator<Sol>

Abstract superclass for `IncrementalScoreCalculator`.

See Also:
  `IncrementalScoreCalculator`

Constructor Summary
`AbstractIncrementalScoreCalculator()`

Method Summary
`String` | `buildScoreCorruptionAnalysis(IncrementalScoreCalculator uncorruptedIncrementalScoreCalculator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.score.director.incremental.IncrementalScoreCalculator
`afterEntityAdded, afterEntityRemoved, afterVariableChanged, beforeEntityAdded, beforeEntityRemoved, beforeVariableChanged, calculateScore, resetWorkingSolution`

Constructor Detail

### AbstractIncrementalScoreCalculator

    public AbstractIncrementalScoreCalculator()

Method Detail

### buildScoreCorruptionAnalysis

    public String buildScoreCorruptionAnalysis(IncrementalScoreCalculator uncorruptedIncrementalScoreCalculator)

  Specified by:
    `buildScoreCorruptionAnalysis` in interface `IncrementalScoreCalculator<Sol extends Solution>`
  Parameters:
    `uncorruptedIncrementalScoreCalculator` - never null
  Returns:
    null if this `IncrementalScoreCalculator` implementation does not support this.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.